EXPIRE(8)

NAME
expire - remove outdated news articles

SYNOPSIS
/usr/lib/news/expire [ -n newsgroups ] [ -i ] [ -I ]
[ -v[ level ] ] [ -e days ] [ -a ] [ -r ] [ -h ]

DESCRIPTION
Expire is normally started up by cron(8) every night to remove all expired news. If no newsgroups are specified, the default is to expire all.

Articles whose specified expiration date has already passed are considered expirable.

OPTIONS

-n newsgroups
    List of newsgroups to expire. Elements in the list of newsgroups must be separated by commas and/or spaces.

-a  archive articles in /usr/spool/oldnews. Articles are unlinked in the absence of the -a option.

-v[level]
    be more verbose. A verbosity level (default 1) can follow the -v flag, as in -v3 for even more output. This is useful if articles aren't being expired and you want to know why.

-e  days
    give the number of days to use for a default expiration date. If not given, an installation dependent default (often 2 weeks) is used. Note that you must use a space between -e and days.

-i
-I  ignore any expiration date explicitly given on articles. This can be used when disk space is really tight. -I always ignores expiration dates, while -i only ignores the date if ignoring it would expire the article sooner. WARNING: If you have articles archived by giving them expiration dates far into the future, these options might remove these files anyway.

-r  rebuild the history file without removing any files. In the process, expire formats the dbm(3) format files associated with the history file.

-h  expire articles without using the history file. Both the -r and -h flags use the active file for newsgroup information rather than the history file.

SEE ALSO
checknews(1), inews(1), readnews(1), recnews(8), sendnews(8), uurec(8)